Page MenuHomePhabricator

Update data in `meta_p.wiki` in Cloud Services for foundationwiki move
Closed, ResolvedPublic

Description

The canonical url for foundationwiki was changed from http://wikimediafoundation.org/wiki/ to https://foundation.wikimedia.org/wiki/, with the old domain now hosting a different website.

As seen at https://tools.wmflabs.org/wikiinfo/?wikiids=foundationwiki, the wiki registry provided to Toolforge tools specifies https://wikimediafoundation.org and https://wikimediafoundation.org/w/api.php still as entry points, causing some tools to work incorrectly.

Event Timeline

Krinkle triaged this task as Normal priority.Aug 14 2018, 1:21 AM
Krinkle created this task.

Mentioned in SAL (#wikimedia-cloud) [2018-09-21T17:18:54Z] <bd808> Running sudo maintain-meta_p --all-databases --purge across labsdb10(09|10|11) for T201890

bd808 closed this task as Resolved.Sep 21 2018, 5:48 PM
bd808 claimed this task.
bd808 added a subscriber: bd808.
(u3518@s7.analytics.db.svc.eqiad.wmflabs) [meta_p]> select * from wiki where dbname='foundationwiki';
+----------------+------+----------------------+---------+----------------------------------+------+-----------+-----------+----------+-----------------+------------------+--------------+--------------+
| dbname         | lang | name                 | family  | url                              | size | slice     | is_closed | has_echo | has_flaggedrevs | has_visualeditor | has_wikidata | is_sensitive |
+----------------+------+----------------------+---------+----------------------------------+------+-----------+-----------+----------+-----------------+------------------+--------------+--------------+
| foundationwiki | en   | Wikimedia Foundation | special | https://foundation.wikimedia.org |    2 | s3.labsdb |         0 |        1 |               0 |                0 |            0 |            0 |
+----------------+------+----------------------+---------+----------------------------------+------+-----------+-----------+----------+-----------------+------------------+--------------+--------------+
1 row in set (0.00 sec)